<?php
/*
Simple:Press
Who's Online plugin install/upgrade routine
$LastChangedDate: 2013-02-17 13:09:35 -0700 (Sun, 17 Feb 2013) $
$Rev: 9856 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_online_do_upgrade_check() {
    $options = sp_get_option('online');
    if (empty($options)) return;

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPWODBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=1 WHERE auth_name='view_online_activity'");
    }


    # save data
    $options['dbversion'] = SPWODBVERSION;
    sp_update_option('online', $options);
}

?>