<?php
/*
$LastChangedDate: 2013-04-18 22:21:03 -0700 (Thu, 18 Apr 2013) $
$Rev: 10187 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_OnlinePageLinkTag($args='', $label='') {
    #check if forum displayed
    if (sp_abort_display_forum()) return;

	if (!sp_get_auth('view_online_activity')) return;

	$defs = array('linkClass'	=> 'spOnlinePageLink',
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_OnlinePageLink_args', $a);
	extract($a, EXTR_SKIP);

	$linkClass 	= esc_attr($linkClass);
	if (!empty($label)) $label = sp_filter_title_display($label);

	$out = "<a href='".sp_url('online')."' class='$linkClass'>$label</a>";

	$out = apply_filters('sph_OnlinePageLink', $out, $a);
	echo $out;
}

?>