<?php
/*
Simple:Press
Who's Online Plugin Support Routines
$LastChangedDate: 2013-08-26 02:05:48 -0700 (Mon, 26 Aug 2013) $
$Rev: 10600 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_online_do_header() {
	$css = sp_find_css(SPWOCSS, 'sp-online.css', 'sp-online.sps');
    sp_plugin_enqueue_style('sp-online', $css);
}

function spOnlineTemplateName($name, $pageview) {
	if ($pageview != 'online') return $name;
	# locate template - check if in theme if not use plugin
	$tempName = sp_find_template(SPWOTEMPDIR,'spOnlineView.php');
	return $tempName;
}

function spOnlinePageTitle($title, $sep) {
    global $spVars;

	$sfseo = sp_get_option('sfseo');
	if ($sfseo['sfseo_page'] && $spVars['pageview'] == 'online') $title = __("Who's Online", 'spwo').$sep.$title;
    return $title;
}

function spOnlineCanonicalUrl($url) {
    global $spVars;

    if ($spVars['pageview'] == 'online') $url = sp_url("online");
    return $url;
}

function spOnlineGetOnline() {
	return spdb_select('set', "
			SELECT trackuserid, pageview, display_name, user_options, ".SFFORUMS.".forum_id, forum_slug, forum_name, ".SFTOPICS.".topic_id, topic_slug, topic_name FROM ".SFTRACK."
			LEFT JOIN ".SFMEMBERS." ON ".SFTRACK.".trackuserid = ".SFMEMBERS.".user_id
			LEFT JOIN ".SFFORUMS." ON ".SFTRACK.".forum_id = ".SFFORUMS.".forum_id
			LEFT JOIN ".SFTOPICS." ON ".SFTRACK.".topic_id = ".SFTOPICS.".topic_id
			ORDER BY pageview, ".SFTRACK.".forum_id, ".SFTRACK.".topic_id, trackuserid");
}

?>