<?php
/*
Simple:Press
Who's Online plugin install routine
$LastChangedDate: 2013-03-18 06:46:06 -0700 (Mon, 18 Mar 2013) $
$Rev: 10087 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_online_do_install() {
	$options = sp_get_option('online');
	if (empty($options)) {
        $options['dbversion'] = SPWODBVERSION;
        sp_add_option('online', $options);
    }

    # add a new permission into the auths table
	sp_add_auth('view_online_activity', __('Can view the online activity', 'sp-spwo'), 1, 0, 0, 0, 2);
    sp_activate_auth('view_online_activity');

	# flush rewrite rules for pretty permalinks
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}

# sp reactivated.
function sp_online_do_sp_activate() {
}

function sp_online_do_reset_permissions() {
	sp_add_auth('view_online_activity', __('Can view the online activity', 'sp-spwo'), 1, 0, 0, 0, 2);
}
?>