<?php
/*
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_OnlineCurrentlyOnlineTag($args='', $currentLabel='', $guestLabel='') {
    #check if forum displayed
    if (sp_abort_display_forum()) return;

	if (!sp_get_auth('view_online_activity')) return;

	$defs = array('pCurrentClass'	=> 'spOnlineCurrently',
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_CurrentlyOnline_args', $a);
	extract($a, EXTR_SKIP);

	$pCurrentClass 	= esc_attr($pCurrentClass);
	if (!empty($currentLabel)) 	$currentLabel 	= sp_filter_title_display($currentLabel);
	if (!empty($guestLabel)) 	$guestLabel 	= sp_filter_title_display($guestLabel);

	$out = "<p class='$pCurrentClass'>$currentLabel";

	# members online
	$online = spdb_count(SFTRACK);
	$members = sp_get_members_online();
	if ($members) {
		global $spThisUser, $spVars;

		$firstOnline = true;
		$spMemberOpts = sp_get_option('sfmemberopts');
		foreach ($members as $user) {
			$userOpts = unserialize($user->user_options);
			if ($spThisUser->admin || !$spMemberOpts['sfhidestatus'] || !$userOpts['hidestatus']) {
				if (!$firstOnline) $out.= ', ';
				$out.= sp_build_name_display($user->trackuserid, sp_filter_name_display($user->display_name), true);
				$firstOnline = false;
			}
		}
	}

	# guests online
	if ($online && ($online > count($members))) {
		$guests = ($online - count($members));
		if (!$firstOnline) $out.= ', ';
		$out.= $guests.' '.$guestLabel;
	}
	$out.= '</p>';

	$out = apply_filters('sph_CurrentlyOnline', $out, $a);
	echo $out;
}

?>